Summary:	New World Mac Bootloader
Name:		ybin
Version:	0.30
Release:	4mdk
License:	GPL
Group:		System/Kernel and hardware
ExclusiveArch: 	ppc

Source:		%{name}-%{version}.tar.bz2
Patch:          ybin-makefile.patch.bz2
Patch1:         ybin-makefile2.patch.bz2

Url:		http://www.alaska.net/~erbenson/ybin/
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
ybin (YaBoot INstaller) was created so that there could be a lilo/quik
style bootloader installer for PowerPC based machines which require
bootstrap partitions rather then a traditional bootblock (ie all
`newworld' Macintoshes).  It is designed to install yaboot, an
OpenFirmware bootloader for GNU/Linux written by Benjamin
Herrenschmidt.  When ybin is configured correctly you can simply type
ybin, and the bootloader and its configuration file will be
installed/updated on the bootstrap partition without any further user
intervention.

%define libdir 	/usr/local/lib
%define bindir	/usr/local/sbin
%define mandir	/usr/local/man
%define sbindir /sbin

%prep
%setup
%patch -p0
%patch1 -p1

%install
%makeinstall

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc BUGS COPYING INSTALL README README.man.patch README.ofboot README.ofpath THANKS TODO 
%doc examples
%bindir/ofpath
%sbindir/ybin
%sbindir/mkofboot
%libdir/yaboot/yaboot
%libdir/yaboot/ofboot
%mandir/man8/bootstrap.8.gz
%mandir/man8/mkofboot.8.gz
%mandir/man8/ofpath.8.gz
%mandir/man8/yaboot.8.gz
%mandir/man8/ybin.8.gz
%mandir/man5/yaboot.conf.5.gz

%changelog

* Fri May 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-4mdk
- really fix makefile - mkofboot symlink still broke

* Thu May 10 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-3mdk
- really fix makefile - mkofboot in /sbin too

* Mon Feb 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-2mdk
-moved ybin to /sbin - root level utility

* Mon Feb 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-1mdk
-packaged as RPM

